Package org.apache.torque.generator.configuration

# Class PackageResourcesTest

java.lang.Object
org.apache.torque.generator.configuration.PackageResourcesTest

public class PackageResourcesTest extends Object
Tests for the class PackageResources.

Version:
  $Id: ClasspathConfigurationProviderTest.java 1456694 2013-03-14 21:54:47Z tfischer $

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageResourcesTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testFileNamesInDirectory()`
  `void`
  `testFileNamesInDirectorySearchSubdirectories()`
  `void`
  `testFileNamesInDirectorySuffixNull()`
  `void`
  `testFileNamesInJarDirectory()`
  `void`
  `testFileNamesInJarDirectorySearchSubdirectories()`
  `void`
  `testFileNamesInJarDirectorySuffixNull()`
  `void`
  `testGetJarFilesAndDirectories()`
  Tested that a package can be found in multiple JAR files and directories when the path does not start and end with a slash.
  `void`
  `testGetJarFilesAndDirectoriesSlashes()`
  Tested that a package can be found in multiple JAR files and directories when the path does start and end with a slash

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PackageResourcesTest

    public PackageResourcesTest()

- ## Method Details

  - ### testGetJarFilesAndDirectories

    public void testGetJarFilesAndDirectories() throws Exception
    Tested that a package can be found in multiple JAR files and directories when the path does not start and end with a slash.
    Throws:
      `Exception` - if test fails

  - ### testGetJarFilesAndDirectoriesSlashes

    public void testGetJarFilesAndDirectoriesSlashes() throws Exception
    Tested that a package can be found in multiple JAR files and directories when the path does start and end with a slash
    Throws:
      `Exception` - it test fails

  - ### testFileNamesInDirectory

    public void testFileNamesInDirectory()

  - ### testFileNamesInDirectorySearchSubdirectories

    public void testFileNamesInDirectorySearchSubdirectories()

  - ### testFileNamesInDirectorySuffixNull

    public void testFileNamesInDirectorySuffixNull()

  - ### testFileNamesInJarDirectory

    public void testFileNamesInJarDirectory() throws Exception
    Throws:
      `Exception`

  - ### testFileNamesInJarDirectorySearchSubdirectories

    public void testFileNamesInJarDirectorySearchSubdirectories() throws Exception
    Throws:
      `Exception`

  - ### testFileNamesInJarDirectorySuffixNull

    public void testFileNamesInJarDirectorySuffixNull() throws Exception
    Throws:
      `Exception`